org.eclipse.ease.modules.unittest.reporters

## Class ReportTools

- java.lang.Object
- - org.eclipse.ease.modules.unittest.reporters.ReportTools

    public class ReportTools
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReportTools()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IReportGenerator` `getReport(String name)` Get an instance of a specific report generator.
`static List<String>` `getReportTemplates()` Get a list of available report generators.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportTools

    public ReportTools()

### Method Detail

#### getReportTemplates

    public static List<String> getReportTemplates()

Get a list of available report generators.

Returns:
  list of report generator names (sorted)

#### getReport

    public static IReportGenerator getReport(String name)

Get an instance of a specific report generator.

Parameters:
  `name` - report generator name
Returns:
  report generator instance